Lists all goods receipts for the buyer
curl --request GET \
--url https://app.chemcloud.com.au/api/public/buyer/v1/goods_receipts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.chemcloud.com.au/api/public/buyer/v1/goods_receipts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.chemcloud.com.au/api/public/buyer/v1/goods_receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "99999a99-b888-777c-666d-55555555555e",
"url": "https://app.chemcloud.com.au/buyer/goods_receipts/99999a99-b888-777c-666d-55555555555e",
"delivery_id": "99999a99-b888-777c-666d-55555555555e",
"reference": "GR-001",
"batch_number": "BATCH-9",
"quantity": "100.0",
"measurement_unit": "kg",
"received_at": "2025-12-31T23:13:11.862Z",
"manufactured_on": "2025-12-31",
"expires_on": "2025-12-31",
"invoice_number": "INV-001",
"invoice_date": "2025-12-31",
"customer_reference": "ERP-GR-001",
"comment": "Received in good order",
"meets_spec": true,
"status": "Confirmed",
"coa_present": false,
"delivery_attributes": {
"delivery_reference": "DEL-001"
},
"order_attributes": {
"purchase_order_reference": "PO-001"
},
"additional_data": {
"product": {
"product_name": "Sodium Hydroxide 50%"
},
"supplier": {
"supplier_name": "Supplier Co"
}
},
"created_at": "2025-12-31T23:13:11.862Z",
"updated_at": "2025-12-31T23:13:11.862Z"
}
]Goods Receipts
Lists all goods receipts for the buyer
GET
/
api
/
public
/
buyer
/
v1
/
goods_receipts
Lists all goods receipts for the buyer
Authorizations
Query Parameters
Filter receipts to a single delivery
Filter by draft (true) or confirmed (false) status
Filter receipts created on or after this date (YYYY-MM-DD)
Filter receipts created on or before this date (YYYY-MM-DD)
Response
200 - application/json
Goods receipts retrieved
Example:
"99999a99-b888-777c-666d-55555555555e"
Example:
"https://app.chemcloud.com.au/buyer/goods_receipts/99999a99-b888-777c-666d-55555555555e"
Example:
"99999a99-b888-777c-666d-55555555555e"
Example:
"GR-001"
Example:
"BATCH-9"
Example:
"100.0"
Example:
"kg"
Example:
"2025-12-31T23:13:11.862Z"
Example:
"2025-12-31"
Example:
"2025-12-31"
Example:
"INV-001"
Example:
"2025-12-31"
Example:
"ERP-GR-001"
Example:
"Received in good order"
Example:
true
Available options:
Draft, Confirmed Example:
"Confirmed"
Example:
false
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-12-31T23:13:11.862Z"
Example:
"2025-12-31T23:13:11.862Z"
Was this page helpful?

